[
  {
    "contentType": "LiveTilesField",
    "title": "description",
    "value": {
      "label": "Description",
      "type": "text",
      "defaultValue": "",
      "category": "General"
    }
  },
  {
    "contentType": "LiveTilesField",
    "title": "categories",
    "value": {
      "label": "Categories",
      "type": "taxonomy",
      "defaultValue": [],
      "category": "General"
    }
  },
  {
    "contentType": "LiveTilesField",
    "title": "owner",
    "value": {
      "label": "Owner",
      "type": "principals",
      "defaultValue": [],
      "category": "General",
      "principalMode": "users",
      "principalDomain": "all",
      "allowMultiple": false
    }
  },
  {
    "contentType": "LiveTilesField",
    "title": "platform",
    "value": {
      "label": "Platform",
      "type": "select",
      "defaultValue": "all",
      "options": [
        {
          "name": "All",
          "value": "all"
        },
        {
          "name": "Modern only",
          "value": "modern"
        },
        {
          "name": "Classic only",
          "value": "classic"
        }
      ],
      "category": "General"
    }
  },
  {
    "contentType": "LiveTilesField",
    "title": "size",
    "value": {
      "label": "Size",
      "type": "select",
      "defaultValue": 0,
      "category": "Appearance",
      "options": [
        {
          "name": "Small",
          "value": 0
        },
        {
          "name": "Wide",
          "value": 1
        },
        {
          "name": "Tall",
          "value": 2
        },
        {
          "name": "Large",
          "value": 3
        }
      ]
    }
  },
  {
    "contentType": "LiveTilesField",
    "title": "icon",
    "value": {
      "label": "Icon",
      "type": "image",
      "defaultValue": "",
      "category": "Appearance"
    }
  },
  {
    "contentType": "LiveTilesField",
    "title": "classes",
    "value": {
      "label": "CSS classes",
      "type": "text",
      "defaultValue": "",
      "category": "Appearance"
    }
  },
  {
    "contentType": "LiveTilesField",
    "title": "background",
    "value": {
      "label": "Background color",
      "type": "text",
      "defaultValue": "",
      "category": "Appearance"
    }
  },
  {
    "contentType": "LiveTilesField",
    "title": "color",
    "value": {
      "label": "Font color",
      "type": "text",
      "defaultValue": "",
      "category": "Appearance"
    }
  },

  // Link fields
  {
    "contentType": "LiveTilesField",
    "title": "url",
    "value": {
      "label": "Link URL",
      "type": "text",
      "defaultValue": "",
      "category": "Link"
    }
  },
  {
    "contentType": "LiveTilesField",
    "title": "newTab",
    "value": {
      "label": "Open in new tab",
      "type": "checkbox",
      "defaultValue": true,
      "category": "Link"
    }
  },

  // Image fields
  {
    "contentType": "LiveTilesField",
    "title": "src",
    "value": {
      "label": "Image URL",
      "type": "text",
      "defaultValue": "",
      "category": "Image"
    }
  },
  {
    "contentType": "LiveTilesField",
    "title": "alt",
    "value": {
      "label": "Image Alt text",
      "type": "text",
      "defaultValue": "",
      "category": "Image"
    }
  },

  // Rich text fields
  {
    "contentType": "LiveTilesField",
    "title": "textareaDisplay",
    "value": {
      "label": "Display content",
      "type": "textarea",
      "defaultValue": "",
      "category": "Other"
    }
  },
  {
    "contentType": "LiveTilesField",
    "title": "textareaHover",
    "value": {
      "label": "Hover content",
      "type": "textarea",
      "defaultValue": "",
      "category": "Other"
    }
  },
  {
    "contentType": "LiveTilesField",
    "title": "textareaAction",
    "value": {
      "label": "Action content",
      "type": "textarea",
      "defaultValue": "",
      "category": "Other"
    }
  },

  // HTML fields
  {
    "contentType": "LiveTilesField",
    "title": "htmlDisplay",
    "value": {
      "label": "Display HTML",
      "type": "html",
      "defaultValue": "",
      "category": "Other"
    }
  },
  {
    "contentType": "LiveTilesField",
    "title": "htmlHover",
    "value": {
      "label": "Hover HTML",
      "type": "html",
      "defaultValue": "",
      "category": "Other"
    }
  },
  {
    "contentType": "LiveTilesField",
    "title": "htmlAction",
    "value": {
      "label": "Action HTML",
      "type": "html",
      "defaultValue": "",
      "category": "Other"
    }
  },

  // Modal fields
  {
    "contentType": "LiveTilesField",
    "title": "modalType",
    "value": {
      "label": "Modal type",
      "type": "radio",
      "defaultValue": "image",
      "category": "Other",
      "options": [
        {
          "name": "Image",
          "value": "image"
        },
        {
          "name": "Video",
          "value": "video"
        },
        {
          "name": "Audio",
          "value": "audio"
        },
        {
          "name": "iFrame",
          "value": "iframe"
        }
      ]
    }
  },
  {
    "contentType": "LiveTilesField",
    "title": "mediaSrc",
    "value": {
      "label": "Media URL",
      "type": "text",
      "defaultValue": "",
      "category": "Other"
    }
  }
]
